/*
  Copyright (C) 2017 SAS Institute Inc. Cary, NC, USA
*/
/**
   \file
   \brief   The node partitions input table based on cardinality table for byN.

   \details See macro \link irm_partition_byn.sas \endlink for a comprehensive overview of the logic.

   <b> Identified Inputs </b>

    \param[in] %DS_TO_PART=mk_opt.filtered_option_instrument.sas7bdat            Input data set that needs the partition
    \param[in] %CARDINALITY_DS=IRM_CFG.byn_configuration.sas7bdat     Cardinality data

   <b> Identified Outputs </b>

    \param[out] %PART_DS=P_MK_OPT.filtered_option_instrument.sas7bdat            Output table after partition.

    \ingroup nodes

    \author  SAS Institute Inc.

    \date    2017


   */


%irm_partition_byn(IN_DS=&DS_TO_PART.
                  ,IN_CARDINALITY_DS=&CARDINALITY_DS.
                  ,OUT_PARTITION_DS=&PART_DS.
                  );
